"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const commander_1 = tslib_1.__importDefault(require("commander"));
const fs_1 = tslib_1.__importDefault(require("fs"));
const path_1 = tslib_1.__importDefault(require("path"));
const read_pkg_1 = tslib_1.__importDefault(require("read-pkg"));
function getProgram() {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        commander_1.default
            .version((yield read_pkg_1.default()).version)
            .option('-p, --port [number]', 'number of port which should be used (default = 8080)')
            .option('-c, --config [string]', 'path where config file should be created (default = ./dash4.config.js)')
            .option('-f, --force', 'override existing configurations')
            .parse(process.argv);
        return {
            port: commander_1.default.port || 8080,
            config: path_1.default.join(fs_1.default.realpathSync(process.cwd()), commander_1.default.config || 'dash4.config.js'),
            force: commander_1.default.force,
        };
    });
}
exports.getProgram = getProgram;
//# sourceMappingURL=get-program.js.map